curl -X POST 'https://crypto-api.yativo.com/api/webhook/create-webhook' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"url": "https://your-app.com/webhooks/yativo",
"events": ["transaction.confirmed", "transaction.failed", "swap.completed"],
"description": "Production webhook for transaction events"
}'
{
"status": true,
"message": "Webhook created successfully",
"data": {
"_id": "whk_67e91cbe7747bdb0ba25abcd",
"webhook_name": "My Webhook",
"webhook_url": "https://your-app.com/webhooks/yativo",
"account_id": "acc_6615c3b2e55d9ff7bc0a5678",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"receive_all_events": true,
"status": "active",
"createdAt": "2026-03-28T10:00:00.000Z"
}
}
Register a webhook endpoint to receive real-time event notifications
curl -X POST 'https://crypto-api.yativo.com/api/webhook/create-webhook' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"url": "https://your-app.com/webhooks/yativo",
"events": ["transaction.confirmed", "transaction.failed", "swap.completed"],
"description": "Production webhook for transaction events"
}'
{
"status": true,
"message": "Webhook created successfully",
"data": {
"_id": "whk_67e91cbe7747bdb0ba25abcd",
"webhook_name": "My Webhook",
"webhook_url": "https://your-app.com/webhooks/yativo",
"account_id": "acc_6615c3b2e55d9ff7bc0a5678",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"receive_all_events": true,
"status": "active",
"createdAt": "2026-03-28T10:00:00.000Z"
}
}
Bearer YOUR_ACCESS_TOKENtransaction.confirmedtransaction.failedswap.completedcard.transaction.completediban.activatedcurl -X POST 'https://crypto-api.yativo.com/api/webhook/create-webhook' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"url": "https://your-app.com/webhooks/yativo",
"events": ["transaction.confirmed", "transaction.failed", "swap.completed"],
"description": "Production webhook for transaction events"
}'
{
"status": true,
"message": "Webhook created successfully",
"data": {
"_id": "whk_67e91cbe7747bdb0ba25abcd",
"webhook_name": "My Webhook",
"webhook_url": "https://your-app.com/webhooks/yativo",
"account_id": "acc_6615c3b2e55d9ff7bc0a5678",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"receive_all_events": true,
"status": "active",
"createdAt": "2026-03-28T10:00:00.000Z"
}
}